BEGIN {
  use strict; use warnings;
  unless(eval q{ use 5.014; 1}) {
    print "Perl 5.014 or better required\n";
    exit;
  }
}
BEGIN {
  use strict; use warnings;
  my %missing = map {
    eval qq{ require $_ };
    $@ ? ($_=>1) : ()
  } qw( Carp File::Spec IO::Handle IPC::Open3 Test::More strict warnings );
  if(%missing)
  {
    print "Your Perl is missing core modules: @{[ sort keys %missing ]}\n";
    print "Ideally if you are using the system Perl you can install the appropriate\n";
    print "package which includes the core Perl modules.  On at least some versions\n";
    print "of Fedora, CentOS and RHEL, this is the `perl-core` package.\n";
    print "\n";
    print " % dnf install perl-core\n";
    print "   ~ or ~\n";
    print " % yum install perl-core\n";
    print "\n";
    print "If you really want to install dual-life modules from CPAN, then you can\n";
    print "use cpanm:\n";
    print "\n";
    print " % cpanm @{[ sort keys %missing ]}\n";
    print "\n";
    print "Note that some core modules are not available from CPAN.\n";
    exit;
  }
}
# This file was automatically generated by Dist::Zilla::Plugin::Author::Plicease::MakeMaker v2.36.
use strict;
use warnings;
use 5.014;
use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT"           => "No line insertion and does Package version with our",
  "AUTHOR"             => "Caleb Cushing <xenoterracide\@gmail.com>, Grahan Ollis <plicease\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME"         => "Dist-Zilla-Plugin-OurPkgVersion",
  "LICENSE"          => "artistic_2",
  "MIN_PERL_VERSION" => "5.014",
  "NAME"             => "Dist::Zilla::Plugin::OurPkgVersion",
  "PM"               => {
    "lib/Dist/Zilla/Plugin/OurPkgVersion.pm" => "\$(INST_LIB)/Dist/Zilla/Plugin/OurPkgVersion.pm"
  },
  "PREREQ_PM" => {
    "Dist::Zilla"                       => "6.00",
    "Dist::Zilla::Role::FileFinderUser" => 0,
    "Dist::Zilla::Role::FileMunger"     => 0,
    "Dist::Zilla::Role::PPI"            => 0,
    "Moose"                             => 0,
    "MooseX::Types::Perl"               => 0,
    "PPI"                               => 0,
    "namespace::autoclean"              => 0
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "Path::Tiny"          => 0,
    "Test::DZil"          => 0,
    "Test::Exception"     => 0,
    "Test::Version"       => "0.04"
  },
  "VERSION" => "0.19",
  "test"    => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "Dist::Zilla"                       => "6.00",
  "Dist::Zilla::Role::FileFinderUser" => 0,
  "Dist::Zilla::Role::FileMunger"     => 0,
  "Dist::Zilla::Role::PPI"            => 0,
  "ExtUtils::MakeMaker"               => 0,
  "Moose"                             => 0,
  "MooseX::Types::Perl"               => 0,
  "PPI"                               => 0,
  "Path::Tiny"                        => 0,
  "Test::DZil"                        => 0,
  "Test::Exception"                   => 0,
  "Test::Version"                     => "0.04",
  "namespace::autoclean"              => 0
);

unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);